=== debian/changelog ===
grandorgue (2:0.3.0.6) unstable; urgency=low

  * Initial version

 -- Martin Koegler <martin.koegler@chello.at>  Sun, 06 Nov 2011 19:44:04 +0100
